package com.tsi.monitoring.mapper.section;

import com.tsi.monitoring.vo.*;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface SectionMapper {
    List<CenterVo> getCenterInfo();
    List<CenterVo> getMocInfo();
    List<CenterVo> getSigRegionInfo();
    List<MCenterVo> getMCenterInfo();
    List<LogVo> getMocSendRecvLog();
    List<LocalCenterLinkVo> getLocalCenterLinkInfo();
    List<MocLogInfoVo> getMogLogInfo();
    List<IntStatusVo> getSigIntStatusInfo();
    List<StatusVo> getSigStatusInfo();
    List<HistoryVo> getMoctHistory(Map<String, Object> paramMap);
    List<HistoryVo> getSendHistory(Map<String, Object> paramMap);
    List<HistoryVo> getRcvHistory(Map<String, Object> paramMap);
    List<IntStatusVo> getIntStatusHistory(Map<String, Object> paramMap);
    List<StatisticsVo> getRcvStatistics(Map<String, Object> paramMap);
    List<StatisticsVo> getSndStatistics(Map<String, Object> paramMap);
    List<StatisticsVo> getSndMoctStatistics(String centerId);
    List<PeriodCenterRcvSendStatisticsVo> getPeriodCenterRcvSendStatistics(Map<String, Object> paramMap);
}
